Index: /gsdl/trunk/perllib/basebuilder.pm
===================================================================
--- /gsdl/trunk/perllib/basebuilder.pm	(revision 14656)
+++ /gsdl/trunk/perllib/basebuilder.pm	(revision 14657)
@@ -94,7 +94,4 @@
     } elsif ($gs_mode eq "gs3") {
 	$self->{'collect_cfg'} = &colcfg::read_collection_cfg_xml ($colcfgname);
-
-	#this $self->{'collect_cfg_preserve'} is used for gs3 only and to be passed to &colcfg::write_build_cfg_xml in sub make_auxilary_files later in this basebuilder.pm, we use this preserve object because $self->{'collect_cfg'}->{'classify'} somewhat gets modified during the calling of &classify::load_classifiers.
-	$self->{'collect_cfg_preserve'} = &colcfg::read_collection_cfg_xml ($colcfgname);
     }
     
@@ -124,5 +121,5 @@
 	$classifiers = $self->{'collect_cfg'}->{'classify'};
     }
-
+    
     # load all the classifiers
     $self->{'classifiers'} = &classify::load_classifiers ($classifiers, $build_dir, $outhandle);
@@ -443,5 +440,5 @@
 	}
     }
-    $build_cfg->{'indexmap'} = \@indexmap if scalar (@indexmap);
+    $build_cfg->{'indexmap'} = \@indexmap;
 
     my @subcollectionmap = ();
@@ -473,6 +470,5 @@
     }
     if ($gs_mode eq "gs3") {
-
-      &colcfg::write_build_cfg_xml("$self->{'build_dir'}/buildConfig.xml", $build_cfg, $self->{'collect_cfg_preserve'}, $self->{'disable_OAI'});
+      &colcfg::write_build_cfg_xml("$self->{'build_dir'}/buildConfig.xml", $build_cfg, $self->{'collect_cfg'}, $self->{'disable_OAI'});
     }    
 
Index: /gsdl/trunk/perllib/cfgread4gs3.pm
===================================================================
--- /gsdl/trunk/perllib/cfgread4gs3.pm	(revision 14656)
+++ /gsdl/trunk/perllib/cfgread4gs3.pm	(revision 14657)
@@ -78,5 +78,4 @@
 	       "index" => "indexes",
 	       "plugin" => "plugin",
-               "plugout" => "plugout",
 	       "indexOption" => "indexoptions",
 	       "searchType" => "searchtype",
@@ -100,4 +99,5 @@
 my $arrayexp = q/^(index|level|indexSubcollection|indexLanguage)$/;
 my $arrayarrayexp= q/^(plugin|classifier)$/;
+
 my $defaults = q/^(defaultIndex|defaultLevel|defaultIndexLanguage|languageMetadata)$/;
 
@@ -147,4 +147,5 @@
 	$data->{$key} = [];
       }
+
       push (@{$data->{$key}},$name);
     }
@@ -161,27 +162,5 @@
       push (@{$data->{$key}},$name);
     }
-    #@ plugout options
-    elsif ($element eq "plugout") {
-	$currentLevel = "plugout";
-	my $key = $nameMap->{$currentLevel};	
-	if (!defined $data->{$key}) {
-	    $data->{$key} = [];
-	}
-	if(defined $name and $name ne ""){
-	    push (@{$data->{$key}},$name);
-	}
-	else{
-	   push (@{$data->{$key}},"GAPlugout"); 
-	}
-    }
-    if ($currentLevel eq "plugout" and $element eq "option") {     
-	my $key = $nameMap->{$currentLevel};
-	if (defined $name and $name ne ""){
-	    push (@{$data->{$key}},$name);
-	}
-	if (defined $value and $value ne  ""){
-	    push (@{$data->{$key}},$value);
-	}
-    }
+
     #@ use hash of hash of strings: hashexp
     elsif ($element eq "subcollection") {
Index: /gsdl/trunk/perllib/mgppbuilder.pm
===================================================================
--- /gsdl/trunk/perllib/mgppbuilder.pm	(revision 14656)
+++ /gsdl/trunk/perllib/mgppbuilder.pm	(revision 14657)
@@ -789,6 +789,5 @@
     my @indexfieldmap = ();
     my @indexfields = ();
-    my @indexmap = ();
-
+    
     if (scalar(keys %{$self->{'buildproc'}->{'indexfieldmap'}}) == 0) {
 	# set the default mapping
@@ -823,13 +822,6 @@
     }	    
 
-    if (defined $buildcfg->{'indexmap'}) {
-	foreach $field (@{$buildcfg->{'indexmap'}}) {
-	    push (@indexmap, "$field");
-	}
-    }	    
-
     $self->{'build_cfg'}->{'indexfieldmap'} = \@indexfieldmap;
     $self->{'build_cfg'}->{'indexfields'} = \@indexfields;
-    $self->{'build_cfg'}->{'indexmap'} = \@indexmap;
 }
 
Index: /gsdl/trunk/perllib/plugins/HTMLPlug.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/HTMLPlug.pm	(revision 14656)
+++ /gsdl/trunk/perllib/plugins/HTMLPlug.pm	(revision 14657)
@@ -172,5 +172,5 @@
     }
 
-   if ($self->{'input_encoding'} eq "iso_8859_1") {
+    if ($self->{'input_encoding'} eq "iso_8859_1") {
 	# convert to utf-8
 	$$text=&unicode::unicode2utf8(&unicode::convert2unicode("iso_8859_1", $text));
@@ -178,5 +178,5 @@
     # convert any alphanumeric character entities to their utf-8
     # equivalent for indexing purposes
-    #&ghtml::convertcharentities ($$text);
+    &ghtml::convertcharentities ($$text);
 
     $$text =~ s/\s+/ /g; # remove \n's
@@ -213,7 +213,7 @@
     # fix up the image links
     $section =~ s/<img[^>]*?src=\"?([^\">]+)\"?[^>]*>/
-	<center><img src=\"$1\" \/><\/center><br\/>/ig;
+	<center><img src=\"$1\"><\/center><br>/ig;
     $section =~ s/&lt;&lt;I&gt;&gt;\s*([^\.]+\.(png|jpg|gif))/
-	<center><img src=\"$1\" \/><\/center><br\/>/ig;
+	<center><img src=\"$1\"><\/center><br>/ig;
 
     return $section;
@@ -390,5 +390,5 @@
     	if ($self->{'old_style_HDL'})
     	{
-		$hdl_output_filename = &util::filename_cat($tmp_dirname, "$tailname$suffix");
+		$hdl_output_filename = &util::filename_cat($tmp_dirname, "newHDL_$tailname$suffix");
 		$hdl_output_filename = $self->convert_to_newHDLformat($input_filename,$hdl_output_filename);
     	}
@@ -947,12 +947,8 @@
 
     my $anchor_name = $img_file;
-    #$anchor_name =~ s/^.*\///;
-    #$anchor_name = "<a name=\"$anchor_name\" ></a>";
-
-    my $image_link = $front . $img_file .$back;
-    my $anchor_link = "<a href=\"$img_file\" >".$image_link."</a>";  
-
-    return $anchor_link;	
-    #return $front . $img_file . $back . $anchor_name;
+    $anchor_name =~ s/^.*\///;
+    $anchor_name = "<a name=\"$anchor_name\" />";
+
+    return $front . $img_file . $back . $anchor_name;
 }
 
Index: /gsdl/trunk/perllib/plugins/ImagePlug.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/ImagePlug.pm	(revision 14656)
+++ /gsdl/trunk/perllib/plugins/ImagePlug.pm	(revision 14657)
@@ -37,4 +37,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
+	'disp' => "process_expression",
 	'desc' => "{BasPlug.process_exp}",
 	'type' => "regexp",
Index: /gsdl/trunk/perllib/plugins/MP3Plug.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/MP3Plug.pm	(revision 14656)
+++ /gsdl/trunk/perllib/plugins/MP3Plug.pm	(revision 14657)
@@ -43,9 +43,11 @@
 my $arguments =
     [ { 'name' => "process_exp",
+	'disp' => "process_expression",
 	'desc' => "{BasPlug.process_exp}",
-	'type' => "string",
+	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
 	'reqd' => "no" },
       { 'name' => "assoc_images",
+	'disp' => "associated_images",
         'desc' => "{MP3Plug.assoc_images}",
         'type' => "flag",
Index: /gsdl/trunk/perllib/plugins/MediaWikiPlug.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/MediaWikiPlug.pm	(revision 14656)
+++ /gsdl/trunk/perllib/plugins/MediaWikiPlug.pm	(revision 14657)
@@ -63,5 +63,5 @@
        'type' => "regexp",
        'reqd' => "no",
-       'deft' => "<table([^>]*)id=(\\\"|')toc(\\\"|')(.|\\n)*?</table>\\n" },        
+       'deft' => "<table([^>]*)id=(\\\"|')toc(\\\"|')(.|\\n)*</table>\\n" },        
      # set to delete the navigation section
      { 'name' => "delete_nav",
@@ -127,5 +127,5 @@
     my @head_and_body = split(/<body/i,$$textref);
     my $head = shift(@head_and_body);
-    my $body_text = join("<body", @head_and_body);      
+    my $body_text = join("<body", @head_and_body);  
     
     $head =~ m/<title>(.+)<\/title>/i;
@@ -159,12 +159,5 @@
     # remove header section, it may contain header images or additional search boxes
     my $header_exp = "<div([^>]*)id=(\"|')container(\"|')([^>]*)>(.|\\n)*<div([^>]*)id=(\"|')column-content";
-    if($body_text =~ /$header_exp/){
-	    $body_text =~ s/$header_exp/<div$1id='container'$4><div$6id='column-content/isg;
-	} else {				
-		$header_exp = "(.|\\n)*?<div([^>]*)?id=(\"|')column-content";
-                if($body_text =~ /$header_exp/){
-                  $body_text =~ s/$header_exp/<div$2id='column-content/i;                
-                }
-	}
+    $body_text =~ s/$header_exp/<div$1id='container'$4><div$6id='column-content/isg;
     
     # remove timeline
@@ -277,11 +270,8 @@
                     # comment out the body element because we change the body to div
                     $line =~ s/^(\s*)body(\s*){(\s*)$/$1\/*body$2*\/{$3/isg;
-                    
-                    if($line =~ m/^(.+)\{/i || $line =~ m/^(\s)*#/i){                    
-                      if($line !~ m/wikispecificstyle/i){
-                        $line = "#wikispecificstyle " . $line;
-                      } 
-                    }
-                    
+                                        
+		    if($line =~ m/^(.+)\{/i || $line =~ m/^(\s)*#/i){                    
+			$line = "#wikispecificstyle " . $line;
+		    }
 		    $css_content .= $line;
 		}
@@ -385,11 +375,12 @@
     } else {
         $preserve_sections .= "\n$searchbox_section\n";
-    } 
+    }    
+    
     
     if($preserve_sections ne ""){
       $preserve_sections = "<div id=\"column-one\">\n" . $preserve_sections . "\n</div>\n";
     }
-    $preserve_sections = "</div></div></div>\n" . $preserve_sections . "\n</body>";   
-            
+    $preserve_sections = "</div></div></div>\n" . $preserve_sections . "\n</body>";    
+    
     $body_text =~ s/$print_footer/$preserve_sections/isg;
     
@@ -398,11 +389,12 @@
     my @forms;
     my $form_count = 0;
-    while($body_text =~ m/<form([^>]*)name=("|')([^>"']*)?("|')/isg){
-        next if($3 eq "searchform");
-        $forms[$form_count++] = $&;        
+    while($body_text =~ m/<form([^>]*)name=("|')([^>]*)("|')/isg){
+        next if($3 eq "q");
+        $forms[$form_count++] = $&;
     }
     foreach my $form (@forms) {      
       $body_text =~ s/$form[\s\S]*?<\/form>//m;
-    }
+    }    
+    
     
     # process links. 
@@ -567,8 +559,8 @@
     # If delete_toc is set, remove toc and tof contents.    
     if (defined $self->{'delete_toc'} && ($self->{'delete_toc'} == 1)){
-	if (defined $self->{'toc_exp'} && $self->{'toc_exp'} =~ /\S/){		
-          # print "\nit matches toc_exp !!\n" if $body_text =~ /$self->{'toc_exp'}/;
+	if (defined $self->{'toc_exp'} && $self->{'toc_exp'} =~ /\S/){
+          # print "\nit matches toc_exp!!\n" if $body_text =~ /$self->{'toc_exp'}/;
           if ($body_text =~ /$self->{'toc_exp'}/) {
-	    $body_text =~ s/$self->{'toc_exp'}//i;	    
+	    $body_text =~ s/$self->{'toc_exp'}//i;
           }
 	}
Index: /gsdl/trunk/perllib/plugout.pm
===================================================================
--- /gsdl/trunk/perllib/plugout.pm	(revision 14656)
+++ /gsdl/trunk/perllib/plugout.pm	(revision 14657)
@@ -41,29 +41,24 @@
 	     };
 
-#globaloptions contains any options that should be passed to all plugouts
+#globaloptions contains any options that should be passed to all plugins
 my ($verbosity, $outhandle, $failhandle, $globaloptions);
 
 sub load_plugout{
-    my ($plugout) = shift @_;
+    my ($plugoutname,$plugout_options) = @_;
 
     my $colplugdir = &util::filename_cat($ENV{'GSDLCOLLECTDIR'},"perllib/plugouts");
-    unshift (@INC, $colplugdir); 
-    
-    my $plugoutname = shift @$plugout;
-        
+     unshift (@INC, $colplugdir);
+
     # find the plugout
-    my $customplugname = &util::filename_cat($ENV{'GSDLCOLLECTDIR'}, "custom", $ENV{'GSDLCOLLECTION'}, 
-					     'perllib', 'plugouts', "${plugoutname}.pm");
-    my $colplugname = &util::filename_cat($ENV{'GSDLCOLLECTDIR'}, 'perllib', 'plugouts', 
+    my $colplugname = &util::filename_cat($ENV{'GSDLCOLLECTDIR'},"perllib/plugouts", 
 					  "${plugoutname}.pm");
-    my $mainplugname = &util::filename_cat($ENV{'GSDLHOME'}, 'perllib', 'plugouts',
-					  "${plugoutname}.pm");
-    if (-e $customplugname) { require $customplugname; }
-    elsif (-e $colplugname) { require $colplugname; }
+    my $mainplugname = &util::filename_cat($ENV{'GSDLHOME'},"perllib/plugouts", 
+					   "${plugoutname}.pm");
+    if (-e $colplugname) { require $colplugname; }
     elsif (-e $mainplugname) { require $mainplugname; }
     else {
-	gsprintf($outhandle, "{plugout.could_not_find_plugout}\n",
+	&gsprintf(STDERR, "{plugout.could_not_find_plugout}\n",
 		 $plugoutname);
-	    die "\n";
+	die "\n";
     }
 
@@ -71,5 +66,5 @@
     my ($plugobj);
 
-    eval ("\$plugobj = new \$plugoutname([],\$plugout)");
+    eval ("\$plugobj = new \$plugoutname([],\$plugout_options)");
     die "$@" if $@;
 
